<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLXGLSupport.html">GLXGLSupport</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::GLXGLSupport Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#aff0459e9592bd1b910b332f1c2c32114">addConfig</a>(void)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#ae274ae289aba6e62d4409841bca4aab2">checkExtension</a>(const String &amp;ext) const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a5ef47f21852bfd07b040327051a08b25">checkMinGLVersion</a>(const String &amp;v) const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a0c2db4b820515c52e393be5ef3563421">chooseFBConfig</a>(const GLint *attribList, GLint *nElements)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#aef344907799740613fe8c047a9405c9a">createNewContext</a>(GLXFBConfig fbConfig, GLint renderType,::GLXContext shareList, GLboolean direct) const </td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a41214274c410d4f7e1f40d9b09d06aa7">createPBuffer</a>(PixelComponentType format, size_t width, size_t height)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a9d03b93816711ea30d8d95387318d4cd">createWindow</a>(bool autoCreateWindow, GLRenderSystem *renderSystem, const String &amp;windowTitle)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a0f3a8ac4a209aea9ef22b5aa4a40fcd7">extensionList</a></td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a7cb341968e2e1fec161f0a596adfad56">getConfigOptions</a>(void)</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a379f629aae4ba8ea96943936df5c31ab">getDisplayMonitorCount</a>() const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#ad4473e7fbefce73099e139238a08b4c4">getDisplayName</a>(void)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#aea534d6a5ffc7a6a6b4d120f491eddbd">getFBConfigAttrib</a>(GLXFBConfig fbConfig, GLint attribute, GLint *value)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#afd82b4d0882eb929eb742d9644c70837">getFBConfigFromContext</a>(::GLXContext context)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a1bc918fbb74fd045f4e9f8a61c6ef3b2">getFBConfigFromDrawable</a>(GLXDrawable drawable, unsigned int *width, unsigned int *height)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a9e84d9a7eea9a5c23c060a9293609f1f">getFBConfigFromVisualID</a>(VisualID visualid)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#ae74ac94b8ad8ee8f8501727a9e466114">getGLDisplay</a>(void)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a605553feadb63b0b40e25cda379a21d8">getGLVendor</a>(void) const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#abfca0d98cde4f5bed7f805adac5adc72">getGLVersion</a>(void) const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a574ceb1c53ce76afb6c582efde82f60a">getProcAddress</a>(const String &amp;procname)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#af525bf6a93d6cc976c0d5fc1527d2fab">getVisualFromFBConfig</a>(GLXFBConfig fbConfig)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#ae57a12b9dcb259e71f2abdc48baf6071">getXDisplay</a>(void)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a6f9ba5ca177845957a42cd1bd95f1c92">GLSupport</a>()</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a4af928327bcdce2048d861a9d7f51234">GLXGLSupport</a>()</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#ac053dc17e686c736008552b1a9ec942d">initialiseExtensions</a>()</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a642d120ad7ba56e2f1b3ccdde3723ee2">initialiseGLXEW</a>(void)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a05d390ad6e98e136a0366be7ed52e5f0">loadIcon</a>(const std::string &amp;name, Pixmap *pix, Pixmap *mask)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a6199ce9222ad9d532bc30e28274be995">mAtomDeleteWindow</a></td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#afffcd4e35f1b1157cfc0b96e55847190">mAtomFullScreen</a></td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a405ef4220560aa43924e061e14991f38">mAtomState</a></td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a5cc8699092034a0bfc35b9a96d228a92">mCurrentMode</a></td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a0c3c624f717a2d109e826f728865f4db">mGLDisplay</a></td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a1c0bcd19e502f33bea872466e09164bf">mIsExternalDisplay</a></td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a5b5c4f15e6fee184e059f11790cb30b5">mOptions</a></td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a1ff7162046fa546bb61305a73dd45505">mOriginalMode</a></td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a1d2ef9a0841db617d9c28bdc65248949">mSampleLevels</a></td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a63f609cd26fbfc515020d5f6104e88dc">mVideoModes</a></td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a6597c02438917f4bc92d3e5f35895788">mXDisplay</a></td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#ab1312c4ac8d42d19d76724a7bec380a5">newWindow</a>(const String &amp;name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#af5da5650fe15484f994a296d41f5f574">Rate</a> typedef</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#acb1e90ba8b610fcf98b63af4b8242a9e">refreshConfig</a>(void)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#ae087102342a2a84abd6dd46b1d01efb3">ScreenSize</a> typedef</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a321cd9c8427d2f5f6b62622444233b11">selectFBConfig</a>(const int *minAttribs, const int *maxAttribs)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a2e5252c7b29e1989cc510285929353e1">setConfigOption</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#ad901c0f5b08c793839dd6f0b9ad690ac">start</a>()</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a077b198234bba08c1fe0ccfc27c6dc19">stop</a>()</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a46265aefdd9034f45b839c40142ad1b8">supportsPBuffers</a>()</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#ab3a7ab4d6b3885ae9b1adba5cfc202d4">switchMode</a>(uint &amp;width, uint &amp;height, short &amp;frequency)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a51176a39c9c323825b912f6d5f050f3a">switchMode</a>(void)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a998341ee645a08f1cc7c470cfbbe9efd">validateConfig</a>(void)</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a0954bbdc22d42e139ed6dcf7aaaf7f57">VideoMode</a> typedef</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#aacb66a96f340e55f923314e764d6ed3b">VideoModes</a> typedef</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a6da70cbba51979f3b3360cd4fc412f75">~GLSupport</a>()</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLXGLSupport.html#a1c01019a527a4e1b04b700108dbfaaef">~GLXGLSupport</a>()</td><td><a class="el" href="classOgre_1_1GLXGLSupport.html">Ogre::GLXGLSupport</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:17
</p>
</body>
</html>
